
Player = Object:extend()

function Player:new()
  self.image = love.graphics.newImage("sprites/Mushroom.png")
  self.x = 400
  self.y = 400
  self.speed = 200
  self.w = love.graphics.getWidth()
  self.h = love.graphics.getHeight()
end

function Player:keypressed(key)
  if key == 'space' then 
    table.insert(listOfBalls, Balls(self.x+20, self.y+20))
  end
end 

function Player:update(dt)
  
  -- keyboard movement 
  if love.keyboard.isDown('w') then
    Player.y = Player.y - Player.speed * dt
  end 
  
  if love.keyboard.isDown('s') then
    Player.y = Player.y + Player.speed * dt
  end 
  
  if love.keyboard.isDown('a') then
    Player.x = Player.x - Player.speed * dt
  end 
  
  if love.keyboard.isDown('d') then
    Player.x = Player.x + Player.speed * dt
  end 
  
end

function Player:draw()
  love.graphics.draw(self.image, self.x, self.y)
end